Cyberduck Mountain Duck CLI

#7664 reopened enhancement

Open in terminal fails in sandbox environment

Reported by: gtube Owned by: dkocher
Priority: normal Milestone:
Component: appstore Version: 4.4.3
Severity: major Keywords:
Cc: Architecture:
Platform:

Description

I had a fully working version of cyberduck... Downloaded from this website for free long time ago. But i wanted to buy it from the app store because i use it allot. I bought it... Uninstalled cyberduck and installed from the app store. Now when i want to open in terminal the terminal window opens only the window for my mac not the window from the server i want to connect. How can i fix this?

Attachments (1)

Schermafbeelding 2014-08-15 om 22.52.03.png (142.5 KB) - added by gtube on Aug 15, 2014 at 8:54:18 PM.
Snapshot

Download all attachments as: .zip

Change History (19)

comment:1 Changed on Dec 5, 2013 at 8:28:50 AM by dkocher

  • Milestone set to 4.5
  • Owner set to dkocher
  • Status changed from new to assigned
05.12.13 09:27:54.000 kernel[0]: Sandbox: Cyberduck(43324) deny appleevent-send com.apple.terminal
05.12.13 09:27:54.620 appleeventsd[98]: Sandboxed application with pid 43324 attempted to lookup App:"Terminal"/276/0x0:0x8008 ????1010 sess=100004 but was denied due to sandboxing. (___ZL13handleMessageP17_xpc_connection_sPv_block_invoke260()/appleEventsD.cp #2413) client-reqs-q

comment:2 Changed on Dec 13, 2013 at 12:49:41 PM by dkocher

In r14152. We should use a com.apple.security.scripting-targets but this is not supported by Terminal.app.

comment:3 Changed on Dec 13, 2013 at 12:49:47 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

comment:4 Changed on Dec 28, 2013 at 9:59:47 PM by dkocher

  • Milestone changed from 4.5 to 4.4.4

comment:5 Changed on Apr 21, 2014 at 8:06:56 PM by dkocher

  • Component changed from core to appstore
  • Milestone 4.4.4 deleted
  • Resolution fixed deleted
  • Status changed from closed to reopened

Reopen issue with r14499.

comment:6 Changed on Jul 30, 2014 at 7:57:39 AM by dkocher

Proper error handling in r14939.

comment:7 Changed on Aug 15, 2014 at 9:13:58 AM by dkocher

Disabled the feature for Mac App Store builds in r14499.

comment:8 follow-up: Changed on Aug 15, 2014 at 8:55:43 PM by gtube

But from my understanding its not possible in the sandbox from the app store?

comment:9 Changed on Aug 20, 2014 at 3:11:11 PM by dkocher

  • Summary changed from Open in terminal not working to Open in terminal fails in sandbox environment

comment:10 in reply to: ↑ 8 Changed on Jan 27, 2015 at 11:45:05 AM by dkocher

Replying to gtube:

But from my understanding its not possible in the sandbox from the app store?

The Send command feature documented in Custom Commands is not affected by this issue.

comment:11 Changed on Jan 27, 2015 at 11:46:07 AM by dkocher

This ticket is about the feature Open in Terminal for SSH connections.

comment:12 Changed on May 19, 2015 at 2:08:34 PM by dkocher

  • Resolution set to thirdparty
  • Status changed from reopened to closed

I do not currently see a way to make this work in a sandboxed environment.

comment:13 Changed on Jun 17, 2015 at 9:30:13 PM by dkocher

#8883 closed as duplicate.

comment:14 Changed on Oct 7, 2015 at 7:56:40 AM by dkocher

  • Milestone set to 4.8
  • Resolution thirdparty deleted
  • Status changed from closed to reopened

Possible solution would be to use an implementation using NSUserScriptTask.

comment:15 Changed on May 2, 2016 at 8:23:19 AM by dkocher

  • Type changed from defect to enhancement

comment:16 Changed on May 18, 2016 at 3:29:10 PM by dkocher

  • Milestone 5.0 deleted

comment:17 Changed on Jan 3, 2018 at 8:14:49 PM by dkocher

#10186 closed as duplicate.

comment:18 Changed on Feb 26, 2019 at 1:49:46 PM by dkocher

#10623 closed as duplicate.

Note: See TracTickets for help on using tickets.
swiss made software